notifications

POST /v1/notification-connections/{connection_id}/verify

Send a real test message to a destination.

Alle notifications Endpunkte

Authentifizierung

Senden Sie einen API-Schlüssel als Bearer-Token. Dieser Endpunkt gibt in der Spezifikation keine spezifische Berechtigung an. Versehen Sie Ihren Schlüssel daher mit den minimal erforderlichen Rechten und prüfen Sie die Antwort, anstatt Annahmen zu treffen.

Hier kommt Ihre Organisations-ID hin

Dieser Endpunkt akzeptiert org_id als Abfrageparameter. Lassen Sie ihn weg, erfasst der Aufruf Ihren gesamten Mandanten-Unterbaum; übergeben Sie ihn, um den Aufruf auf eine Organisation einzugrenzen.

Die ID Ihrer Organisation finden Sie im Dashboard auf dem Bildschirm für API-Schlüssel direkt neben dem Schlüssel selbst. Sie ist bei jedem Ihrer Aufrufe dieselbe.

Ausprobieren

Ersetzen Sie alles in spitzen Klammern durch Ihre eigenen Werte und den Platzhalter für den Schlüssel durch einen Schlüssel aus Ihrem Dashboard.

curl -X POST https://api.zinndigital.com/v1/notification-connections/{connection_id}/verify \
  -H "Authorization: Bearer zdk_live_…"

Angemeldet? Die API-Konsole in Ihrem Dashboard trägt automatisch Ihre echte Organisations-ID sowie Ihren eigenen Schlüssel ein und führt die Anfrage gegen die Live-API aus, sodass Sie die tatsächliche Antwort sehen können. Öffnen Sie diesen Endpunkt in der API-Konsole

Details

Sends an actual message and records what happened. It does not check that the destination looks plausible; nothing may be routed to a connection until this has succeeded.

Parameter

NameTypErforderlichWas es ist
connection_id (path)stringJa
org_id (query)stringNeinThe organization to act on. Omitted resolves to your own ONLY when you belong to exactly one organisation; a principal in more than one must name it, or the call is refused `422…

Antwort

NameTypErforderlichWas es ist
verifiedbooleanNein
awaiting_confirmationbooleanNeinAn e-mail destination has been sent its confirmation link and is waiting for the recipient to click it. Not verified, and not a failure.
unknownbooleanNein⛔⛔ We could not CHECK - which is not the same as *it failed*, and until W39-AM this response could not say the difference. Both were `verified: false`, so a credential-store bli…
errorstringNeinSafe to display - never contains a credential.